Name:           synkron
Version:        1.6.2
Release:        %mkrel 1

Summary:        Folder Synchroniser
License:        GPLv2+
URL:            http://synkron.sourceforge.net/
Group:          Archiving/Backup
Source0:        Synkron-%{version}-src.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libpng-devel
BuildRequires:  qt4-devel




%description
Synkron is an application for folder synchronisation that allows you to
configure your synchronisations in detail. Despite having many features, the
user interface of Synkron is very user-friendly and easy to use.

Synkron is able to synchronise multiple folders at once, analyse folders before
sync, restore overwritten or deleted files, plan synchronisations and much
more.

%prep
%setup -q -n Synkron-%{version}-src
sed -i 's/\r//' readme.txt

%build
lrelease Synkron.pro
qmake -config release 

%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 755 %{name} \
$RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 images/Synkron48.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Synkron
Comment=Sync multiple folders at once
Exec=%{name}
Icon=%{name}.png
Terminal=0
Type=Application
Categories=System;Filesystem;X-MandrivaLinux-System-FileTools;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc gpl.txt readme.txt
%{_bindir}/synkron
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Dec 30 2012 Ken <lxgator@gmail.com> 1.6.2-1pclos2013
- initial build

